Contents

# Chr Function

Arfii kan lakkadda arfii ibsameen walmadaalan deebisa.

### Syntax:

          Chr[$](charcode As Integer) As String

### Return type:

String

### Parameters:

charcode: a numeric expression that represents a valid 8-bit ASCII value (0-255) or a 16-bit Unicode value. (To support expressions with a nominally negative argument like Chr(&H8000) in a backwards-compatible way, values in the range −32768 to −1 are internally mapped to the range 32768 to 65535.)

When VBA compatibility mode is enabled (Option VBASupport 1), charcode is a numeric expression that represents a valid 8-bit ASCII value (0-255) only.

Tartiiba to'annoo addaa gara maxxansaatti ykn madda bahaa birootti erguuf, faankishinii Chr$ tti fayyadami.Mallattoo waraabbii himata diraa keessa galchuufis faankishinii kanatti fayyadamuu ni dandeessa.

### Error codes:

5 Ejjatoo fashalaan waamu

6 Guutinsa darbaa 6 Guutinsa darbaa

An overflow error will occur when VBA compatibility mode is enabled and the expression value is greater than 255.

### Example:

            Sub ExampleChr
                REM Fakkeenyi kun mallattoolee waraabbii(gatii ASCII 34) diraa keessa galcha.
                MsgBox "A " + Chr$(34) + "short" + Chr(34) + " trip."
                REM Qaaqa keessatti maxxansi isaa akka: karaa "short" fakkaata.
                MsgBox Chr(charcode := 64) ' "@" sign
            End Sub

Matadureewwan Walfakkatan

Asc Function (BASIC)

AscW Function [VBA]

ChrW Function [VBA]